package com.seatel.mobilehall.ui.login.model;

import java.util.ArrayList;

public class ProfileModel {

	private String certNumber;
	private String certType;
	private String custName;
	private String mSISDN;
	private String email;
	private String imageUrl;
	private boolean offnetNumber;
	private boolean snowfall;
	private boolean claimFreeSim = false;
	private boolean forceUpdate = false;

	private boolean canUpdateProfile = false;

	private String message;

	private ArrayList orderIdUnSuccess = new ArrayList();
	private ArrayList promotions = new ArrayList<PromotionHomeModel>();

	public boolean isSnowfall() {
		return snowfall;
	}

	public void setSnowfall(boolean snowfall) {
		this.snowfall = snowfall;
	}

	public boolean isClaimFreeSim() {
		return claimFreeSim;
	}

	public void setClaimFreeSim(boolean claimFreeSim) {
		this.claimFreeSim = claimFreeSim;
	}

	public boolean isForceUpdate() {
		return forceUpdate;
	}

	public void setForceUpdate(boolean forceUpdate) {
		this.forceUpdate = forceUpdate;
	}

	public ArrayList<PromotionHomeModel> getPromotions() {
		return promotions;
	}

	public void setPromotions(ArrayList<PromotionHomeModel> promotions) {
		this.promotions = promotions;
	}

	public void setOrderIdUnSuccess(ArrayList<Integer> idOrder) {
		orderIdUnSuccess = idOrder;
	}

	public ArrayList<Integer> getOrderIdUnSuccess(){
		return orderIdUnSuccess;
	}

	public void setOffnetNumber(boolean offnetNumber) {
		this.offnetNumber = offnetNumber;
	}

	public boolean isOffnetNumber() {
		return offnetNumber;
	}

	public void setCertNumber(String certNumber){
		this.certNumber = certNumber;
	}

	public String getCertNumber(){
		return certNumber;
	}

	public void setCertType(String certType){
		this.certType = certType;
	}

	public String getCertType(){
		return certType;
	}

	public void setCustName(String custName){
		this.custName = custName;
	}

	public String getCustName(){
		return custName;
	}

	public void setMSISDN(String mSISDN){
		this.mSISDN = mSISDN;
	}

	public String getMSISDN(){
		return mSISDN;
	}

	public void setEmail(String email){
		this.email = email;
	}

	public String getEmail(){
		return email;
	}

	@Override
 	public String toString(){
		return 
			"ProfileModel{" + 
			"certNumber = '" + certNumber + '\'' + 
			",certType = '" + certType + '\'' + 
			",custName = '" + custName + '\'' + 
			",mSISDN = '" + mSISDN + '\'' + 
			",email = '" + email + '\'' + 
			",offsetNumber = '" + offnetNumber + '\'' +
			"}";
		}

	public String getImageUrl() {
		return imageUrl;
	}

	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}

	public boolean isCanUpdateProfile() {
		return canUpdateProfile;
	}

	public void setCanUpdateProfile(boolean canUpdateProfile) {
		this.canUpdateProfile = canUpdateProfile;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
}
